if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

# If other icon themes are installed, then add to/modify this as needed
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi
( cd usr/bin ; rm -rf nmtui-connect )
( cd usr/bin ; ln -sf nmtui nmtui-connect )
( cd usr/bin ; rm -rf nmtui-edit )
( cd usr/bin ; ln -sf nmtui nmtui-edit )
( cd usr/bin ; rm -rf nmtui-hostname )
( cd usr/bin ; ln -sf nmtui nmtui-hostname )
( cd usr/lib/NetworkManager/dispatcher.d ; rm -rf 90-nm-cloud-setup.sh )
( cd usr/lib/NetworkManager/dispatcher.d ; ln -sf no-wait.d/90-nm-cloud-setup.sh 90-nm-cloud-setup.sh )
( cd usr/lib/NetworkManager/dispatcher.d/no-wait.d ; rm -rf 90-nm-cloud-setup.sh )
( cd usr/lib/NetworkManager/dispatcher.d/no-wait.d ; ln -sf ../pre-up.d/90-nm-cloud-setup.sh 90-nm-cloud-setup.sh )
( cd usr/lib64 ; rm -rf libnm.so )
( cd usr/lib64 ; ln -sf libnm.so.0 libnm.so )
( cd usr/lib64 ; rm -rf libnm.so.0 )
( cd usr/lib64 ; ln -sf libnm.so.0.1.0 libnm.so.0 )
